ENT.Type = "anim"
ENT.Base = "base_anim"
ENT.PrintName = "Spawnpoint"
ENT.Category = "Admin"
ENT.Spawnable = true
ENT.RenderGroup = RENDERGROUP_BOTH
ENT.Editable = true

function ENT:SetupDataTables()
	self:NetworkVar("Bool", 0, "Protected", {KeyName = "protected", Edit = {type = "Boolean", order = 1}})
	self:NetworkVar("Float", 0, "SpawnpointHealth", {KeyName = "health", Edit = {type = "Float", min = 0, max = 1000000, order = 2}})

	if SERVER then
		self:SetProtected(true)
		self:SetSpawnpointHealth(0)
	end
end